Update Profile Settings
curl --request PATCH \
--url https://{api_endpoint}/v1/profiles/me/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"settings": {
"confirm_routing": true,
"base_llm_model_id": "<string>"
}
}
'import requests
url = "https://{api_endpoint}/v1/profiles/me/settings"
payload = { "settings": {
"confirm_routing": True,
"base_llm_model_id": "<string>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({settings: {confirm_routing: true, base_llm_model_id: '<string>'}})
};
fetch('https://{api_endpoint}/v1/profiles/me/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"user_id": "<string>",
"username": "<string>",
"settings": {
"confirm_routing": true,
"base_llm_model_id": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}User Profiles
Update Profile Settings
Update Profile Settings
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Show child attributes
Show child attributes
⌘I

